aboutsummaryrefslogtreecommitdiff
path: root/test/php
diff options
context:
space:
mode:
authorJosh Spicer <joshspicer@github.com>2022-08-24 00:23:21 +0300
committerGitHub <noreply@github.com>2022-08-24 00:23:21 +0300
commitf82307ad60514d1e912a9aa2b64204721fe955eb (patch)
treebc1799743ef7620c3e460d54f77c1fac3003fd4c /test/php
parent84f4996643b84c6f3dcd5c3edc72ae176dceaf65 (diff)
test updates to adopt https://github.com/devcontainers/cli/pull/124 (#114)
* test updates to adopt https://github.com/devcontainers/cli/pull/124 * remove accidental tgz check in * typo in option * typo in python install script on dotnet6/jammy branch * no scenarios * code review and test name * Delete install_os_provided_python.sh
Diffstat (limited to 'test/php')
-rw-r--r--test/php/install_additional_php.sh13
-rw-r--r--test/php/scenarios.json11
2 files changed, 24 insertions, 0 deletions
diff --git a/test/php/install_additional_php.sh b/test/php/install_additional_php.sh
new file mode 100644
index 0000000..590187a
--- /dev/null
+++ b/test/php/install_additional_php.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "php version 8.1.4 installed as default" php --version | grep 8.1.4
+check "php version 8.0.17 installed" ls -l /usr/local/php | grep 8.0.17
+check "php version 8.0.3 installed" ls -l /usr/local/php | grep 8.0.3
+
+# Report result
+reportResults
diff --git a/test/php/scenarios.json b/test/php/scenarios.json
new file mode 100644
index 0000000..f24753b
--- /dev/null
+++ b/test/php/scenarios.json
@@ -0,0 +1,11 @@
+{
+ "install_additional_php": {
+ "image": "ubuntu:focal",
+ "features": {
+ "php": {
+ "version": "8.1.4",
+ "additionalVersions": "8.0.17,8.0.3"
+ }
+ }
+ }
+} \ No newline at end of file